Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058790 - NM-created bond slaves won't work correctly with legacy network service
Summary: NM-created bond slaves won't work correctly with legacy network service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dan Winship
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1059698
TreeView+ depends on / blocked
 
Reported: 2014-01-28 14:27 UTC by Dan Winship
Modified: 2014-06-13 10:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1059698 (view as bug list)
Environment:
Last Closed: 2014-06-13 10:39:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch (deleted)
2014-01-28 14:27 UTC, Dan Winship
no flags Details | Diff

Description Dan Winship 2014-01-28 14:27:42 UTC
Created attachment 856618 [details]
patch

ifup-eth expects bond slaves to have "SLAVE=yes" set, but NM does not write that, so bond slave connections created by NM won't work outside of NM.

We might want to fix this in RHEL6 too?

(Noticed in passing in bug 1040511, though it wasn't actually relevant to the bug there.)

Comment 1 Dan Williams 2014-01-29 22:39:12 UTC
Patch looks good to commit.

Comment 2 Dan Williams 2014-01-29 22:40:09 UTC
And yeah, please clone this for RHEL6 and put rhel66?, pm?, devel+, and qe? so it gets in the queue.

Comment 3 Dan Winship 2014-01-30 16:17:34 UTC
pushed to master

Comment 4 Vladimir Benes 2014-04-22 12:53:50 UTC
I can correctly up slaves via ifup

Comment 5 Ludek Smid 2014-06-13 10:39:46 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.